splashlovelib = {}

splashlovelib.img = love.graphics.newImage("splashlovelib/Love-logo-512x256.png")
splashlovelib.whatislove = love.audio.newSource( "splashlovelib/distant-shot-rumble.ogg", "stream" )
splashlovelib.fade_in = 2.55
splashlovelib.fade_out = 2.55
splashlovelib.total = 8.00

function splashlovelib.draw()
  if splashlovelib.temp_dt < splashlovelib.fade_in then
    love.graphics.setColor(255,255,255,math.floor(splashlovelib.temp_dt*100))
  elseif splashlovelib.temp_dt >= splashlovelib.fade_in and splashlovelib.temp_dt < splashlovelib.total - splashlovelib.fade_out then
    love.graphics.setColor(255,255,255,255)
  else
    love.graphics.setColor(255,255,255,math.floor((splashlovelib.total-splashlovelib.temp_dt)*100))
  end
  love.graphics.draw(splashlovelib.img,
    (love.graphics.getWidth()-splashlovelib.img:getWidth())/2,
    (love.graphics.getHeight()-splashlovelib.img:getHeight())/2 )
  splashlovelib.start = true
end

splashlovelib.temp_dt = 0
function splashlovelib.update(dt)
  if splashlovelib.start then
    splashlovelib.temp_dt = splashlovelib.temp_dt + dt
  end
  if not splashlovelib.sound_play then
    love.audio.play(splashlovelib.whatislove)
    splashlovelib.sound_play = true
  end
  if splashlovelib.temp_dt >= splashlovelib.total then
    love.audio.stop(splashlovelib.whatislove)
  end
end

function splashlovelib.stop()
  love.audio.stop(splashlovelib.whatislove)
  splashlovelib.temp_dt = splashlovelib.total
end

function splashlovelib.done()
  if splashlovelib.temp_dt >= splashlovelib.total then -- 255 * 2
    return true
  end
end

return splashlovelib
